Source: haskell-random-fu
Section: haskell
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-erf-dev,
 libghc-erf-prof,
 libghc-math-functions-dev,
 libghc-math-functions-prof,
 libghc-monad-loops-dev (>= 0.3.0.1),
 libghc-monad-loops-prof,
 libghc-random-shuffle-dev,
 libghc-random-shuffle-prof,
 libghc-random-source-dev (<< 0.4),
 libghc-random-source-dev (>= 0.3),
 libghc-random-source-prof,
 libghc-rvar-dev (<< 0.3),
 libghc-rvar-dev (>= 0.2),
 libghc-rvar-prof,
 libghc-syb-dev,
 libghc-syb-prof,
 libghc-vector-dev (>= 0.7),
 libghc-vector-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-erf-doc,
 libghc-math-functions-doc,
 libghc-monad-loops-doc,
 libghc-random-shuffle-doc,
 libghc-random-source-doc,
 libghc-rvar-doc,
 libghc-syb-doc,
 libghc-vector-doc,
Standards-Version: 4.5.0
Homepage: https://hackage.haskell.org/package/random-fu
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-random-fu]
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-random-fu
X-Description: random number generation
 Random number generation based on modeling random variables in two
 complementary ways: first, by the parameters of standard mathematical
 distributions and, second, by an abstract type (RVar) which can be
 composed and manipulated monadically and sampled in either monadic
 or "pure" styles.
 .
 The primary purpose of this library is to support defining and
 sampling a wide variety of high quality random variables. Quality is
 prioritized over speed, but performance is an important goal too.

Package: libghc-random-fu-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-random-fu-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-random-fu-doc
Section: doc
Architecture: all
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
